API keys
Revoke a remote API key
POST
/
v1
/
api-accounts
/
{account_id}
/
keys
/
{key_id}
/
revoke
Revoke a remote API key
curl --request POST \
--url https://api.batchrelay.com/v1/api-accounts/{account_id}/keys/{key_id}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.batchrelay.com/v1/api-accounts/{account_id}/keys/{key_id}/revoke"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.batchrelay.com/v1/api-accounts/{account_id}/keys/{key_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idempotent_replay": true,
"key": {
"created_at": 123,
"environment": "test",
"id": "<string>",
"key_prefix": "<string>",
"masked_key": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"status": "active",
"studio_grants": [
{
"scopes": [
"<string>"
],
"studio_id": "<string>"
}
],
"expires_at": 123,
"last_used_at": 123,
"revoked_at": 123
}
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}Authorizations
Verified Batch Relay dashboard session token. This is distinct from a scoped Batch Relay API key.
Headers
Required string length:
1 - 256Untrusted optional analytics hint naming the calling client surface. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Untrusted optional analytics hint naming the calling client version. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Untrusted optional analytics hint naming the invocation mode. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Path Parameters
Required string length:
1 - 256Pattern:
^brk_⌘I
Revoke a remote API key
